package com.njcn.prepare.harmonic.service.mysql.newalgorithm;

import com.njcn.prepare.harmonic.pojo.bo.CalculatedParam;

/**
 * @author zbj
 * @since 2023-06-19
 */

public interface RStatSubstationService {


    /**
     * 3.4.10.1.变电站指标统计_日表
     * @param calculatedParam
     * fixme 此算法运行速度很慢,后期需要优化改造
     */
    void handlerD(CalculatedParam calculatedParam);

    /**
     * 3.4.10.2.变电站指标统计_月表
     * @param calculatedParam
     */
    void handlerM(CalculatedParam calculatedParam);

    /**
     * 3.4.10.3.变电站指标统计_季表
     * @param calculatedParam
     */
    void handlerQ(CalculatedParam calculatedParam);

    /**
     * 3.4.10.4.变电站指标统计_年表
     * @param calculatedParam
     */
    void handlerY(CalculatedParam calculatedParam);

}
